> For the complete documentation index, see [llms.txt](https://cetus-1.gitbook.io/cetus-developer-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://cetus-1.gitbook.io/cetus-developer-docs/developer/via-sdk-v2/sdk-modules/cetusprotocol-burn-sdk/redeem-vest.md).

# Redeem vest

`redeemVestPayload` creates a transaction builder for redeeming vested tokens. Here's an example of how to use it:

```typescript
// Get burn position details
const burn_position_id = '0x4e745334f8899a2b8854c791865e9...'
const burnPosition = await sdk.Burn.getBurnPosition(burn_position_id)

// Create redeem vest payload
const tx = sdk.Burn.redeemVestPayload([
  {
    clmm_versioned_id: '0x8d1b965923331fa3f782.....', // Sourced from clmm sdk sdkOptions
    clmm_vester_id: '0xbe3a49c92cc31f063418aa24....', // Sourced from clmm sdk sdkOptions
    clmm_pool_id: burnPosition!.pool_id,
    burn_position_id: burn_position_id,
    period: 0,
    coin_type_a: burnPosition!.coin_type_a,
    coin_type_b: burnPosition!.coin_type_b,
  },
])

// Execute the transaction
const transferTxn = await sdk.FullClient.executeTx(send_key_pair, tx, false)
```

`redeemVestPayload` allows users to redeem their vested tokens from a burn position. The process involves:

1. Retrieving the burn position details
2. Creating a redeem vest payload with the necessary parameters
3. Executing the transaction to claim the vested tokens


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://cetus-1.gitbook.io/cetus-developer-docs/developer/via-sdk-v2/sdk-modules/cetusprotocol-burn-sdk/redeem-vest.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
